//-------------------------------------------------------------------------------------------------
//         Определение переменных, используемых в тесте
//-------------------------------------------------------------------------------------------------
uint8_t initParam = 0; //--Параметр для инициализации параметров
uint8_t initPin = 0; //--Параметр для инициализации пинов
uint8_t numQuick, numFast, numSlow, numBack, numFrdm; //--Номера задач для диспетчера задач;
int pinCnt=-1; int pinTst1=-2;int pinTst2=-3;int pinTst3=-4; int pinLed=-5; int pinBut=-6; 
int pinPot=-7; int pinPWM=-8; int pinDAC=-9; int pinTCH=-10; //--Тестовые пины;
bool    blink, but;
uint8_t cntPrint = 0;
//-------------------------------------------------------------------------------------------------
//                Определение строковых переменных
//-------------------------------------------------------------------------------------------------
const char string_0[] PROGMEM = "FLPro~g";
const char string_1[] PROGMEM = "ARDU~INO";
const char string_2[] PROGMEM = "~EIS";
const char string_3[] PROGMEM = "STM32F103Cv";
const char string_4[] PROGMEM = "ESP8266";
const char string_5[] PROGMEM = "ESP32";
//--Определение таблицы адресов строковых переменных
const char* const tableUserStringPGM[] PROGMEM = { string_0, string_1, string_2, string_3, string_4, string_5 };
byte qntUserSringPGM = 6;
byte maxLenUserSringPGM = 12;
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//              Функция - установка номеров пинов под тип контроллера
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
void setNumUserPins() {
  if (initPin) return; initPin = 1;
#ifdef  RT_HW_BOARD_AVR328
  pinCnt = 8;  pinTst1 = 9; pinTst2 =-1; pinTst3 =-1; pinLed = 7; pinBut = 4; pinPot=21; pinPWM=5; pinDAC=-1; pinTCH=-1; 
#endif    //---------------------------------------------------------------------------------------
#ifdef  RT_HW_BOARD_MEGA2560
  pinCnt = 38; pinTst1 =39; pinTst2 =40; pinTst3 =41; pinLed =26; pinBut =29; pinPot=54; pinPWM=5; pinDAC=-1; pinTCH=-1; 
#endif    //---------------------------------------------------------------------------------------
#ifdef  RT_HW_BOARD_DUE
  pinCnt = 38; pinTst1 =39; pinTst2 =40; pinTst3 =41; pinLed =26; pinBut =29; pinPot=54; pinPWM=5; pinDAC=67; pinTCH=-1; 
#endif    //---------------------------------------------------------------------------------------
#ifdef  RT_HW_BOARD_ESP8266
  pinCnt = 2;  pinTst1 =0;  pinTst2 =-1; pinTst3 =-1; pinLed =12; pinBut =14; pinPot=17; pinPWM=13; pinDAC=-1; pinTCH=-1; 
#endif    //--------------------------------------------------------------------------------------- 
#ifdef  RT_HW_BOARD_ESP32
  pinCnt = 13; pinTst1 =12; pinTst2 =14; pinTst3 =27; pinLed = 2; pinBut =15; pinPot=36; pinPWM=5;  pinDAC=25; pinTCH=4; 
#endif    //---------------------------------------------------------------------------------------  
#ifdef  RT_HW_BOARD_STM32F103C
  pinCnt = 15; pinTst1 =19; pinTst2 =20; pinTst3 =21; pinLed =16; pinBut =17; pinPot= 0; pinPWM=9;  pinDAC=-1; pinTCH=-1; 
#endif    //---------------------------------------------------------------------------------------  
#ifdef  RT_HW_BOARD_STM32F103R
  pinCnt = 34; pinTst1 =35; pinTst2 =36; pinTst3 =37; pinLed =16; pinBut =17; pinPot= 0; pinPWM=33;  pinDAC=4; pinTCH=-1; 
#endif    //---------------------------------------------------------------------------------------  
#ifdef  RT_HW_BOARD_ANON
  pinCnt = -1; pinTst1 = 9; pinTst2 =-1; pinTst3 =-1;
#endif    //---------------------------------------------------------------------------------------
} //--END initParam()
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
